# GNUmakefile for building Encore
#
# Author: Oliver Langer
#
include $(GNUSTEP_MAKEFILES)/common.make
include ../config.properties

TOOL_NAME=BDBTESTS
VERSION=0.1

ADDITIONAL_INCLUDE_DIRS=\
  -I$(DBROOT)/include

ADDITIONAL_LIB_DIRS=-L$(DBROOT)/lib

ADDITIONAL_NATIVE_LIBS += BDB Encore

BDBTESTS_LIBRARIES_DEPEND_UPON=-ldb

BDBTESTS_OBJC_FILES=\
  BDBAbstractBTreeTEST.m\
  BDBAddObjectTEST.m\
  BDBAddSimpleDataTest.m\
  BDBBTreeRecordNumberTEST.m\
  BDBCreateTEST.m\
  BDBCursorTEST.m\
  BDBDeleteRecordsTEST.m\
  BDBRecnoAccessTEST.m\
  BDBTests.m

BDBTESTS_HEADER_FILES=\
  BDBAbstractBTreeTEST.h\
  BDBAddObjectTEST.h\
  BDBAddSimpleDataTest.h\
  BDBBTreeRecordNumberTEST.h\
  BDBCreateTEST.h\
  BDBCursorTEST.h\
  BDBDeleteRecordsTEST.h\
  BDBRecnoAccessTEST.h\
  BDBTests.h

-include GNUmakefile.preamble
include $(GNUSTEP_MAKEFILES)/tool.make
-include GNUmakefile.postamble
